import QtQuick 2.2

ListModel {
    id: root

    property int counter: 1

    function addWindow() {

        // info specified by the surface
        var requestedX = getRandInRange(0,400)
        var requestedY = getRandInRange(0,400)

        // model entry
        var window = {
            "id": counter,
            "title": counter,
            "windowWidth": getRandInRange(200,600),
            "windowHeight": getRandInRange(200,600),
            "x": requestedX,
            "y": requestedY,
            "type": "regular", // regular, floating, dialog, satellite, popup, gloss, tip, freestyle
            "state": "normal", // normal, maximized, minimized, fullscreen
            "decoration": "normal", // normal, small, none, client-specified
            "movable": true, // false implies is anchored to parent
            "resizable": true,
            "minWidth": 200,
            "maxWidth": 800,
            "minHeight": 100,
            "maxHeight": 700,
            "canBeMaximized": true,
            "canBeMinimized": true,
            "canBeClosed": true,
            "interactive": true, // may not be necessary, could go in MirSurface instead
            "active": false,
            "parentId": -1,
            "stage": undefined,
        }

        windowList.append(window);
        counter++;
    }

    function getRandInRange(min, max) {
        return Math.random() * (max - min) + min;
    }
}
