import QtQuick 2.3

import "treeviewer.js" as TreeViewer

Canvas {
    id: canvas
    width: 800
    height: 400

    property var myTree: new TreeViewer.Tree()

    onPaint: {
        if (!available)
            return;

        myTree.updateTree();
    }

    onAvailableChanged: {
        if (available) {
            var ctx = canvas.getContext('2d');
            myTree.setContext(ctx);

            myTree.config.useTarget = false;
            myTree.config.selectMode = TreeViewer.SL_NONE;
            myTree.config.defaultNodeWidth = 90;
            myTree.config.defaultNodeHeight = 30;
            myTree.config.iSubtreeSeparation = 20;
            myTree.config.iSiblingSeparation = 15;
            myTree.config.iLevelSeparation = 30;
            myTree.add(1,-1,'Node O');
            myTree.add(2,1,'Node E');
            myTree.add(3,1,'Node F');
            myTree.add(4,1,'Node N');
            myTree.add(5,2,'Node A');
            myTree.add(6,2,'Node D');
            myTree.add(7,4,'Node G');
            myTree.add(8,4,'Node M');
            myTree.add(9,6,'Node B');
            myTree.add(10,6,'Node C');
            myTree.add(11,8,'Node H');
            myTree.add(12,8,'Node I');
            myTree.add(13,12,'Node J');
            myTree.add(14,8,'Node K');
            myTree.add(15,8,'Node L');
            requestPaint();
        }
    }
}
