import QtQuick 2.2

FocusScope {
    width: 1200
    height: 800
    focus: true

    Keys.onPressed: {
        if (event.key === Qt.Key_A) {
            windowList.addWindow();
        }
    }

    WindowModel {
        id: windowList
    }

    FocusScope {
        id: windowFocusScope
        anchors.fill: parent
        focus: true

        Repeater {
            id: renderer
            anchors.fill: parent
            model: windowList
            delegate: Window {
                windowData: model
                onWindowWidthChanged: windowList.setProperty(index, "windowWidth", windowWidth);
                onWindowHeightChanged: windowList.setProperty(index, "windowHeight", windowHeight);
                onXChanged: windowList.setProperty(index, "x", x)
                onYChanged: windowList.setProperty(index, "y", y)
                onFocusRequested: {
                    windowList.move(index, windowList.count-1, 1);
                    if (windowFocusScope.activeFocus) {
                        forceActiveFocus(Qt.MouseFocusReason);
                    }
                }
                focus: true
                Component.onCompleted: {
                    if (windowFocusScope.activeFocus) {
                        forceActiveFocus(Qt.ActiveWindowFocusReason);
                    }
                }
            }
        }
    }

    Rectangle {
        width: 200
        anchors { top: parent.top; bottom: parent.bottom; right: parent.right }
        color: "lightblue"
        opacity: 0.8
    }
}
